[ Identification | Description | Input parameters | Links ]

# The `File` Component

File.comp - allows to generate instrument/component input-files from METADATA blocks

## Identification

- Site:
- Author: Greg Tucker
- Origin: ESS
- Date: 2024

## Description

    File.comp - allows to generate instrument/component input-files
    from METADATA blocks - see test_File.instr for an example.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default |
filename | string | Filename for output-file generated from metadata block | 0 |
metadatakey | string | METADATA-key for looking up file content (may belong to File instance or another comp) |  |
keep | 1 | Flag to indicate if file should be kept post-simulation | 0 |

AT ( | , | , |  | ) RELATIVE |  |
ROTATED ( | , | , |  | ) RELATIVE |

## Links

- Source code for `File.comp`.

[ Identification | Description | Input parameters | Links ]